summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author JK Wood2011-02-06 19:30:35 +0100
committer Robby Workman2011-02-06 19:30:35 +0100
commit8f181d5926985f4bb045323f07c625e4ca95ce04 (patch)
tree8e6c6882dfd6e1289422ddc4d4f8d82cd977af87 /academic
parent41db961ec521389deff769edef80da7504e26976 (diff)
downloadslackbuilds-8f181d5926985f4bb045323f07c625e4ca95ce04.tar.gz
academic/tilem: Added (TI-calculator emulator for linux)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/tilem/README8
-rw-r--r--academic/tilem/slack-desc19
-rw-r--r--academic/tilem/tilem.SlackBuild93
-rw-r--r--academic/tilem/tilem.info10
4 files changed, 130 insertions, 0 deletions
diff --git a/academic/tilem/README b/academic/tilem/README
new file mode 100644
index 0000000000..1d38081faa
--- /dev/null
+++ b/academic/tilem/README
@@ -0,0 +1,8 @@
+An emulator for the Z80 series of Texas Instruments graphing
+calculators. It emulates all current Z80 calculator models
+except the TI-81, and features a debugger, external file
+loading, and full flash support, including flash app loading.
+
+Tilem requires no additional dependencies other than GTK, but
+does require a rom from one of the supported calculators to
+function.
diff --git a/academic/tilem/slack-desc b/academic/tilem/slack-desc
new file mode 100644
index 0000000000..d90dffff48
--- /dev/null
+++ b/academic/tilem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tilem: tilem (TI-calculator emulator for linux)
+tilem:
+tilem: tilem serves as an emulator for the Z-80 TI line
+tilem: of calculators from Texas Instruments.
+tilem:
+tilem: Homepage: http://lpg.ticalc.org/prj_tilem/
+tilem:
+tilem:
+tilem:
+tilem:
+tilem:
diff --git a/academic/tilem/tilem.SlackBuild b/academic/tilem/tilem.SlackBuild
new file mode 100644
index 0000000000..d36f1b00c8
--- /dev/null
+++ b/academic/tilem/tilem.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackbuild for tilem
+
+# Written by JK Wood <joshuakwood@gmail.com>
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of the SlackBuild causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested it
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+PRGNAM=tilem
+VERSION=0.973
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux \
+
+make
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/$PRGNAM
+cp -a bin/tilem $PKG/usr/bin/tilem
+cp -a data pixmaps $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README THANKS TODO doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/tilem/tilem.info b/academic/tilem/tilem.info
new file mode 100644
index 0000000000..3e59e57389
--- /dev/null
+++ b/academic/tilem/tilem.info
@@ -0,0 +1,10 @@
+PRGNAM="tilem"
+VERSION="0.973"
+HOMEPAGE="http://lpg.ticalc.org/prj_tilem/"
+DOWNLOAD="http://downloads.sourceforge.net/tilem/tilem-0.973.tar.gz"
+MD5SUM="f78471d940e7991eb52ff5e2f3386123"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="rworkman"